Remove WritableLogger as eventlet has a real logger interface in 0.17.2

Bug #1440773 reported by Davanum Srinivas (DIMS) on 2015-04-06
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Igor Pugovkin
Glance
Undecided
Kairat Kushaev
Manila
Undecided
Thomas Bechtold
OpenStack Compute (nova)
Undecided
Davanum Srinivas (DIMS)
OpenStack DBaaS (Trove)
Undecided
Chaozhe Chen
OpenStack Heat
Fix Released
Undecided
Chaozhe Chen
OpenStack Identity (keystone)
Low
Chaozhe Chen
neutron
Undecided
Ihar Hrachyshka
oslo.log
Undecided
Davanum Srinivas (DIMS)

Bug Description

Info from Sean on IRC:

the patch to use a real logger interface in eventlet has been released in 0.17.2, which means we should be able to phase out https://github.com/openstack/oslo.log/blob/master/oslo_log/loggers.py

Eventlet PR was:
https://github.com/eventlet/eventlet/pull/75

thanks,
dims

We need to use self._logger directly in Nova and deprecate WritableLogger in oslo.log

summary: - Deprecate WritableLogger as eventlet has a real logger interface in
- 0.17.2
+ Remove WritableLogger as eventlet has a real logger interface in 0.17.2

Fix proposed to branch: master
Review: https://review.openstack.org/179801

Changed in nova:
assignee: nobody → Davanum Srinivas (DIMS) (dims-v)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/179808

Changed in oslo.log:
assignee: nobody → Davanum Srinivas (DIMS) (dims-v)
status: New → In Progress
Changed in neutron:
assignee: nobody → Ihar Hrachyshka (ihar-hrachyshka)

Reviewed: https://review.openstack.org/179808
Committed: https://git.openstack.org/cgit/openstack/oslo.log/commit/?id=dbae3bf351de63d972996c536489bbc95dadd0d4
Submitter: Jenkins
Branch: master

commit dbae3bf351de63d972996c536489bbc95dadd0d4
Author: Davanum Srinivas <email address hidden>
Date: Mon May 4 11:05:34 2015 -0400

    Deprecate WritableLogger - used for eventlet logging

    WritableLogger was used for example in Nova as a bridge to the
    eventlet's logging mechanism. Eventlet has been enhanced in
    0.17.2 to use python loggers directly, so we don't need this
    anymore.

    Closes-Bug: #1440773
    Change-Id: I505a6e4946db88db4a1e57ed37f43bd203c7ab1f

Changed in oslo.log:
status: In Progress → Fix Committed
Changed in manila:
assignee: nobody → Thomas Bechtold (toabctl)

Fix proposed to branch: master
Review: https://review.openstack.org/189575

Changed in manila:
status: New → In Progress
Changed in oslo.log:
milestone: none → 1.4.0
status: Fix Committed → Fix Released
Changed in cinder:
assignee: nobody → Igor Pugovkin (ipugovkin)

Reviewed: https://review.openstack.org/189575
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=a0b9de9b012d19e09fed834f31be099ad89014d9
Submitter: Jenkins
Branch: master

commit a0b9de9b012d19e09fed834f31be099ad89014d9
Author: Thomas Bechtold <email address hidden>
Date: Tue Jun 9 08:52:57 2015 +0200

    Remove deprecated WritableLogger

    WritableLogger from oslo.log is deprecated and with eventlet >= 0.17.2
    we can directly pass the logger instance.

    Change-Id: I862b31acb710c31ce55cd90a55e4fea41f046c50
    Closes-Bug: #1440773

Changed in manila:
status: In Progress → Fix Committed
Changed in cinder:
status: New → In Progress

Reviewed: https://review.openstack.org/191725
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=ef3acce4ecca6209b054899ccda2c2bd44ef11fb
Submitter: Jenkins
Branch: master

commit ef3acce4ecca6209b054899ccda2c2bd44ef11fb
Author: Igor Pugovkin <email address hidden>
Date: Mon Jun 15 12:10:41 2015 +0300

    Remove WritableLogger wrapper

    With Eventlet 0.17.2, we can directly pass the logger
    instance. This allows us to deprecate/remove the WritableLogger
    class from oslo.log.

    Change-Id: Ib7d193435584fc3631740058ed34b4df4ab23ad6
    Closes-Bug: #1440773

Changed in cinder:
status: In Progress → Fix Committed

Change abandoned by Davanum Srinivas (dims) (<email address hidden>) on branch: master
Review: https://review.openstack.org/179801

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2015-06-23
Changed in cinder:
milestone: none → liberty-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-06-24
Changed in manila:
milestone: none → liberty-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-06-24
Changed in nova:
milestone: none → liberty-1
status: Fix Committed → Fix Released
Changed in glance:
assignee: nobody → Kairat Kushaev (kkushaev)

Fix proposed to branch: master
Review: https://review.openstack.org/218316

Changed in glance:
status: New → In Progress

Reviewed: https://review.openstack.org/218316
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=06d7540e9b90018c53e4f7b23eceec2bcfb0d131
Submitter: Jenkins
Branch: master

commit 06d7540e9b90018c53e4f7b23eceec2bcfb0d131
Author: kairat_kushaev <email address hidden>
Date: Fri Aug 28 17:33:52 2015 +0300

    Remove WritableLogger from wsgi server

    Eventlet can use logger directly starting from v 0.17.2.
    So we can delete usage of WritableLogger in Glance.

    Closes-Bug: #1440773

    Change-Id: I3f393bcdaafc96f098fe7fafd425c97211051815

Changed in glance:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2015-09-01
Changed in glance:
milestone: none → liberty-3
Thierry Carrez (ttx) on 2015-09-04
Changed in glance:
status: Fix Committed → Fix Released
tags: added: oslo
Changed in neutron:
status: New → Confirmed
milestone: none → mitaka-1

Fix proposed to branch: master
Review: https://review.openstack.org/232541

Changed in neutron:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/232541
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=ba2cb93b2975ec8151c95944ce4961fd7d28e326
Submitter: Jenkins
Branch: master

commit ba2cb93b2975ec8151c95944ce4961fd7d28e326
Author: Ihar Hrachyshka <email address hidden>
Date: Thu Oct 8 15:48:12 2015 +0200

    Remove usage of WritableLogger from oslo_log

    With Eventlet 0.17.2, we can directly pass the logger instance. This
    allows us to deprecate/remove the WritableLogger class from oslo.log.

    Closes-Bug: #1440773
    Change-Id: I3985b30b499a1e676d39c2a6cd3a31ac13c0ab47

Changed in neutron:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2015-10-15
Changed in nova:
milestone: liberty-1 → 12.0.0
Thierry Carrez (ttx) on 2015-10-15
Changed in cinder:
milestone: liberty-1 → 7.0.0
Thierry Carrez (ttx) on 2015-10-15
Changed in manila:
milestone: liberty-1 → 1.0.0
Thierry Carrez (ttx) on 2015-10-15
Changed in glance:
milestone: liberty-3 → 11.0.0

This issue was fixed in the openstack/neutron 8.0.0.0b1 development milestone.

Changed in neutron:
status: Fix Committed → Fix Released
Changed in trove:
assignee: nobody → Chaozhe Chen (chaozhe-chen)

Fix proposed to branch: master
Review: https://review.openstack.org/283021

Changed in trove:
status: New → In Progress
Changed in heat:
assignee: nobody → Chaozhe Chen (chaozhe-chen)

Fix proposed to branch: master
Review: https://review.openstack.org/283023

Changed in heat:
status: New → In Progress
Steve Martinelli (stevemar) wrote :
Changed in keystone:
status: New → In Progress
assignee: nobody → Chaozhe Chen (chaozhe-chen)
importance: Undecided → Low

Reviewed: https://review.openstack.org/283023
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=cf26592376eaeba50d3f4640b35dc6f42d792e72
Submitter: Jenkins
Branch: master

commit cf26592376eaeba50d3f4640b35dc6f42d792e72
Author: Chaozhe.Chen <email address hidden>
Date: Mon Feb 22 18:10:26 2016 +0800

    Remove usage of WritableLogger from oslo_log

    With Eventlet 0.17.2, we can directly pass the logger instance. This
    allows us to deprecate/remove the WritableLogger class from oslo.log.

    So there is no need to maintain class `WritableLogger` in our code.

    Change-Id: Ibeedb65ebfb0cd8bc0ffe24069b390931d8dfe4b
    Closes-Bug: #1440773

Changed in heat:
status: In Progress → Fix Released
Morgan Fainberg (mdrnstm) wrote :

Eventlet is deprecated and slated for removal in keystone.

Changed in keystone:
status: In Progress → Won't Fix
Changed in keystone:
status: Won't Fix → In Progress

This issue was fixed in the openstack/heat 6.0.0.0b3 development milestone.

Reviewed: https://review.openstack.org/283078
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=abb4ba0ab8f593dc02f5b0254f8903fba86442db
Submitter: Jenkins
Branch: master

commit abb4ba0ab8f593dc02f5b0254f8903fba86442db
Author: Chaozhe.Chen <email address hidden>
Date: Mon Feb 22 20:27:44 2016 +0800

    Deprecate logger.WritableLogger

    With Eventlet 0.17.2, we can directly pass the logger instance. This
    allows us to deprecate/remove the WritableLogger class from oslo.log.
    Our EventletFilteringLogger class extends from logger.WritableLogger.
    This patch will refactor EventletFilteringLogger so that it no longer
    rely on the deprecated code.

    Change-Id: I99a605340634c1a3dbd3f451ac2c923dccffec69
    Closes-Bug: #1440773

Changed in keystone:
status: In Progress → Fix Released
Changed in keystone:
milestone: none → mitaka-3

This issue was fixed in the openstack/keystone 9.0.0.0rc1 release candidate.

Reviewed: https://review.openstack.org/283021
Committed: https://git.openstack.org/cgit/openstack/trove/commit/?id=89e9c9098e0d8eabc2a3f9ee2a2787cd5a6e81e3
Submitter: Jenkins
Branch: master

commit 89e9c9098e0d8eabc2a3f9ee2a2787cd5a6e81e3
Author: Chaozhe.Chen <email address hidden>
Date: Mon Feb 22 17:53:51 2016 +0800

    Remove usage of WritableLogger from oslo_log

    With Eventlet 0.17.2, we can directly pass the logger instance. This
    allows us to deprecate/remove the WritableLogger class from oslo.log.

    Change-Id: Ibeedb65ebfb0cd8bc0ffe24069b390931d8dfe4b
    Closes-Bug: #1440773

Changed in trove:
status: In Progress → Fix Released

This issue was fixed in the openstack/trove 6.0.0.0b2 development milestone.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers